<?php

declare( strict_types=1 );

namespace RankBear\Common\Utilities;

// Abort if this file is called directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( Links::class ) ) {

	/**
	 * Things related to links and URLs.
	 */
	class Links {
		/**
		 * Detect the current URL, including the query parameters but not anchor (#).
		 *
		 * @return string
		 */
		public function get_current_url(): string {
			return home_url( add_query_arg( null, null ) );
		}
	}

}
